Package ru.yandex.clickhouse.util

## Class ClickHouseHttpClientBuilder

- java.lang.Object
- - ru.yandex.clickhouse.util.ClickHouseHttpClientBuilder

    public class ClickHouseHttpClientBuilder
    extends Object

### Constructor Summary

Constructors
`ClickHouseHttpClientBuilder​(ClickHouseProperties properties)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.apache.http.impl.client.CloseableHttpClient` `buildClient()`
`static org.apache.http.client.protocol.HttpClientContext` `createClientContext​(ClickHouseProperties props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseHttpClientBuilder

    public ClickHouseHttpClientBuilder​(ClickHouseProperties properties)

### Method Detail

#### buildClient

    public org.apache.http.impl.client.CloseableHttpClient buildClient()
                                                                throws Exception

Throws:
  `Exception`

#### createClientContext

    public static org.apache.http.client.protocol.HttpClientContext createClientContext​(ClickHouseProperties props)